Subject: Re: bug#16456: 24.3; Problem with tool-bar-mode in the full screen on MacOSX 10.9

From: Jan Djärv <[email-masked]>
Date: Wed, 15 Jan 2014 21:08:02 +0100

Hi.

This is probably fixed in trunk.  Please try that.

	Jan D.

15 jan 2014 kl. 12:05 skrev Piotr Praczyk <[email-masked]>:

> Hello
> 
> I have encountered a problem with using Emacs in the fullscreen mode.
> I tend to work having all the menu bars and toolbars disabled to save space.
> 
> This works perfectly fine as long as I am in windowed mode.
> When I switch to full-screen, the toolbar reappears.
> Subsequent attempts to remove it (by calling tool-bar-mode in the
> fullscreen) do not give satisfying results ... instead of having the
> toolbar disappear, even more space is used.
> 
> 
> Below the debug information:
> 
> 
> In GNU Emacs 24.3.1 (x86_64-apple-darwin, NS apple-appkit-1038.36)
>  of 2013-03-13 on bob.porkrind.org
> Windowing system distributor `Apple', version 10.3.1265
> Configured using:
>  `configure '--host=x86_64-apple-darwin' '--build=i686-apple-darwin'
>  '--with-ns' 'build_alias=i686-apple-darwin'
>  'host_alias=x86_64-apple-darwin' 'CC=gcc -mmacosx-version-min=10.7
>  -isystem
>  /Users/david/Xcode-10.7_4.5.2/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.7.sdk/usr/include/
>  -F/Users/david/Xcode-10.7_4.5.2/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.7.sdk/System/Library/Frameworks''
> 
> Important settings:
>   value of $LANG: en_US.UTF-8
>   locale-coding-system: utf-8-unix
>   default enable-multibyte-characters: t
> 
> Major mode: Python
> 
> Minor modes in effect:
>   tooltip-mode: t
>   mouse-wheel-mode: t
>   tool-bar-mode: t
>   file-name-shadow-mode: t
>   global-font-lock-mode: t
>   font-lock-mode: t
>   blink-cursor-mode: t
>   auto-composition-mode: t
>   auto-encryption-mode: t
>   auto-compression-mode: t
>   line-number-mode: t
>   transient-mark-mode: t
> 
> Recent input:
> s u c h / d i r e c t o r y / <down-mouse-1> <mouse-1> 
> <down-mouse-1> <mouse-1> <down-mouse-1> <mouse-1> <down-mouse-1> 
> <mouse-movement> <mouse-movement> <drag-mouse-1> <down-mouse-1> 
> <mouse-1> <down-mouse-1> <mouse-1> <left> n o _ s u 
> c h _ p a t h _ p b _ c o n f i g _ f i l e <right> 
> <right> <return> <up> C-SPC <down> s-w C-x C-s <C-s-right> 
> C-x C-s <down-mouse-1> <drag-mouse-1> C-s g f i l e 
> s s s-w <left> <right> <backspace> <backspace> C-x 
> C-s <down-mouse-1> <mouse-1> C-x b v e <tab> l i <tab> 
> <return> C-s S t a t <backspace> <backspace> <backspace> 
> <backspace> C-s C-s <backspace> <backspace> <backspace> 
> G F i l e C-x o C-s G f i l e C-s <left> <left> <left> 
> <backspace> G <backspace> F C-x C-s <down> <up> <up> 
> <tab> <down> <down> <up> <up> v e r i f y _ c o n f 
> i g s _ l i b . P o p e n SPC <backspace> . G F i l 
> e <backspace> <backspace> <backspace> <backspace> <backspace> 
> <backspace> ( ) <left> <down-mouse-1> <mouse-1> <down-mouse-1> 
> <mouse-movement> <mouse-movement> <drag-mouse-1> <down-mouse-1> 
> <mouse-1> x o <return> _ C-_ C-_ <backspace> <backspace> 
> C-x C-s C-x o <down> <down> <down> <down> <down-mouse-1> 
> <mouse-1> C-e <return> <tab> s e l f . m o x . <backspace> 
> <backspace> <backspace> <backspace> m o x . <down-mouse-1> 
> <mouse-1> C-s S t u b C-s <wheel-down> <double-wheel-down> 
> <triple-wheel-down> <triple-wheel-down> <triple-wheel-down> 
> <triple-wheel-down> <triple-wheel-down> <triple-wheel-down> 
> <triple-wheel-down> <triple-wheel-down> <triple-wheel-down> 
> <triple-wheel-down> <triple-wheel-down> <wheel-up> 
> <double-wheel-up> <triple-wheel-up> <triple-wheel-up> 
> <triple-wheel-up> <triple-wheel-up> <triple-wheel-up> 
> <triple-wheel-up> <triple-wheel-up> <triple-wheel-up> 
> <triple-wheel-up> <triple-wheel-up> <triple-wheel-up> 
> s-x b u g <tab> <backspace> <backspace> <backspace> 
> M-x b u g <tab> <backspace> <backspace> <backspace> 
> <backspace> <backspace> <backspace> <backspace> <backspace> 
> <backspace> <backspace> <backspace> <backspace> <backspace> 
> <backspace> r e p o r t - b <tab> <return>
> 
> Recent messages:
> Saving file /google/src/cloud/ppraczyk/bt_diff/google3/ads/statscollection/production/util/verify_configs_test.py...
> Wrote /google/src/cloud/ppraczyk/bt_diff/google3/ads/statscollection/production/util/verify_configs_test.py
> Auto-saving...done
> Undo! [2 times]
> Saving file /google/src/cloud/ppraczyk/bt_diff/google3/ads/statscollection/production/util/verify_configs_test.py...
> Wrote /google/src/cloud/ppraczyk/bt_diff/google3/ads/statscollection/production/util/verify_configs_test.py
> Mark saved where search started
> byte-code: End of buffer [5 times]
> Auto-saving verify_configs_lib.py: Opening output file: operation not permitted, /google/src/cloud/ppraczyk/bt_diff/google3/ads/statscollection/production/util/#verify_configs_lib.py#
> Auto-saving verify_configs_test.py: Opening output file: operation not permitted, /google/src/cloud/ppraczyk/bt_diff/google3/ads/statscollection/production/util/#verify_configs_test.py#
> 
> Load-path shadows:
> None found.
> 
> Features:
> (shadow sort gnus-util mail-extr dabbrev misearch multi-isearch
> cus-start cus-load emacsbug message format-spec rfc822 mml mml-sec
> mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils
> mailheader help-mode python rx comint ring ansi-color color-theme
> cl-macs gv edmacro kmacro wid-edit cl cl-lib sendmail rfc2047 rfc2045
> ietf-drums mm-util mail-prsvr mail-utils reporter easymenu time-date
> tooltip ediff-hook vc-hooks lisp-float-type mwheel ns-win tool-bar dnd
> fontset image regexp-opt fringe tabulated-list newcomment lisp-mode
> register page menu-bar rfn-eshadow timer select scroll-bar mouse
> jit-lock font-lock syntax facemenu font-core frame cham georgian
> utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
> japanese hebrew greek romanian slovak czech european ethiopic indian
> cyrillic chinese case-table epa-hook jka-cmpr-hook help simple abbrev
> minibuffer loaddefs button faces cus-face macroexp files text-properties
> overlay sha1 md5 base64 format env code-pages mule custom widget
> hashtable-print-readable backquote make-network-process ns multi-tty
> emacs)
>